/********************************************************************
 *  gfont.h : Class to provide a global default font to views and
 *	dialogs.
 ********************************************************************/

#ifndef __GFONT_H__
#define __GFONT_H__

class CGlobalFont
{
public:
	CGlobalFont();
	virtual ~CGlobalFont();

	// The pointer returned may be temporary and should not be
	// stored for later use.
	CFont *GetFont();
	
protected:
	static CFont *m_pFont;
	static unsigned short m_InstanceCount;
	void CreateFont();
};


#endif  //__GFONT_H__
/**/
