/********************************************************************
 *  dlgx.cpp : Extensions to the MFC CDialog class.
 ********************************************************************/

#include <stdafx.h>

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif


// no automatic class substitution for this file!
#ifdef CDialog
#undef CDialog
#endif

#ifdef CFontDialog
#undef CFontDialog
#endif

IMPLEMENT_DYNAMIC(CDialogEx, CDialog)

BEGIN_MESSAGE_MAP(CDialogEx, CDialog)
	//{{AFX_MSG_MAP(CDialogEx)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
CDialogEx::CDialogEx()
	: CDialog()
{
}

/////////////////////////////////////////////////////////////////////////////
CDialogEx::CDialogEx(LPCSTR lpszTemplateName, CWnd* pParentWnd /*= NULL*/)
	: CDialog(lpszTemplateName, pParentWnd)
{
}

/////////////////////////////////////////////////////////////////////////////
CDialogEx::CDialogEx(UINT nIDTemplate, CWnd* pParentWnd /*= NULL*/)
	: CDialog(nIDTemplate, pParentWnd)
{
}

/////////////////////////////////////////////////////////////////////////////
CDialogEx::~CDialogEx()
{
}

/////////////////////////////////////////////////////////////////////////////
BOOL CDialogEx::OnInitDialog()
{
	CDialog::OnInitDialog();
	CFont *pFont = CGlobalFont::GetFont();
	if(pFont != NULL) {
	    HGDIOBJ hFont = pFont->GetSafeHandle();
    	ASSERT(hFont != NULL);
	    SendMessageToDescendants(WM_SETFONT, (WPARAM)hFont, FALSE, FALSE);
	}
	return TRUE;  // return TRUE  unless you set the focus to a control
}


/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
IMPLEMENT_DYNAMIC(CFontDialogEx, CFontDialog)

BEGIN_MESSAGE_MAP(CFontDialogEx, CFontDialog)
	//{{AFX_MSG_MAP(CFontDialogEx)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
CFontDialogEx::CFontDialogEx(LPLOGFONT lplfInitial /*= NULL*/,
		DWORD dwFlags /*= CF_EFFECTS | CF_SCREENFONTS*/,
		CDC* pdcPrinter /*= NULL*/,
		CWnd* pParentWnd /*= NULL*/)
	: CFontDialog(lplfInitial, dwFlags, pdcPrinter, pParentWnd)
{
}			

/////////////////////////////////////////////////////////////////////////////
BOOL CFontDialogEx::OnInitDialog()
{
	CFontDialog::OnInitDialog();
	CFont *pFont = CGlobalFont::GetFont();
	if(pFont != NULL) {
	    HGDIOBJ hFont = pFont->GetSafeHandle();
    	ASSERT(hFont != NULL);
	    SendMessageToDescendants(WM_SETFONT, (WPARAM)hFont, FALSE, FALSE);
	}
	return TRUE;  // return TRUE  unless you set the focus to a control
}

/**/
