/********************************************************************
 *  dlgx.h : Extensions to the MFC CDialog class.
 ********************************************************************/

#ifndef __DLGX_H__
#define __DLGX_H__

#include <gfont.h>

/////////////////////////////////////////////////////////////////////////////
class CDialogEx : public CDialog, public CGlobalFont
{
	DECLARE_DYNAMIC(CDialogEx)

protected:
	CDialogEx();

public:
	CDialogEx(LPCSTR lpszTemplateName, CWnd* pParentWnd = NULL);
	CDialogEx(UINT nIDTemplate, CWnd* pParentWnd = NULL);

public:
	virtual ~CDialogEx();

protected:
	
	//{{AFX_MSG(CDialogEx)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
class CFontDialogEx : public CFontDialog, public CGlobalFont
{
	DECLARE_DYNAMIC(CFontDialogEx)

public:
// Constructors
	CFontDialogEx(LPLOGFONT lplfInitial = NULL,
		DWORD dwFlags = CF_EFFECTS | CF_SCREENFONTS,
		CDC* pdcPrinter = NULL,
		CWnd* pParentWnd = NULL);

protected:
	
	//{{AFX_MSG(CDialogEx)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

// Automatic class substitution
#define CDialog CDialogEx
#define CFontDialog CFontDialogEx

#endif // __DLGX_H__
